/***************************************************************************

    supportware
    Copyright (C) 2001-2007 by c.holzheuer
    c.holzheuer@sourceworx.org

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

***************************************************************************/


#ifndef SXPAGEPAGER_H
#define SXPAGEPAGER_H

#include <sxpage.h>
#include <ddwebsite.h>


/// snpagepager : the internal supportnet short message service.
/**
	neue versionn
*/

class sxpagepager : public sxpage
{

public:

  sxpagepager( const ddstring& name, ddwebsite* site );

	virtual dd_result on_overview( dditem& item );

	virtual dd_result on_create( dditem& item );
	virtual dd_result on_reply_create( dditem& item );
  virtual dd_result on_remove( dditem& item );

	virtual dd_result create_box_contacts( dditem& item );

};


#endif


